#include "ddrawfunctions.h"

class Bullet
{
private:
 int x; //x position of bullet
 int y; //y position of bullet
 float xvelocity; //xvelocity of bullet
 float yvelocity; //yvelocity of bullet
 RECT bulletrect; //rectangle structure to hold bullet (for collisions)
 int width; //width of rectangle 
 int height; //height of rectangle

public:
 Bullet();
 Bullet(int new_x, int new_y);
 int getX();
 int getY();
 float getXVelocity();
 float getYVelocity();
 RECT getBulletRect();

 void setPos(int new_x, int new_y);
 void setVelocity(float new_x, float new_y);

 void drawBullet(int new_x, int new_y, LPDIRECTDRAWSURFACE7 dest, int scalefactor);
 ~Bullet();
};



