///////////////////////////////
//DIRECT DRAW FUNCTIONS AND VARIABLES
///////////////////////////////

#include <ddraw.h>
#include "globals.h"
#include "ddutil.h"

extern LPDIRECTDRAW7 dd7object;
extern LPDIRECTDRAWSURFACE7 primarysurface;
extern LPDIRECTDRAWSURFACE7 backsurface;
extern LPDIRECTDRAWCLIPPER dd7clipper;
extern DDSURFACEDESC2 ddsd;
extern LPDIRECTDRAWSURFACE7 ship[2];
extern DDBLTFX ddbltfx;

int startupDirectDraw(int width, int height, int bpp, HWND handle);
void shutdownDirectDraw();
int drawPixel(int x, int y, int red, int green, int blue, LPDIRECTDRAWSURFACE7 dest, int scalefactor);
void drawCircle(LPDIRECTDRAWSURFACE7 surface, int x, int y, int radius, int red, int gree, int blue, int scalefactor);
int drawObject(int, int, LPDIRECTDRAWSURFACE7, LPDIRECTDRAWSURFACE7, int, DDCOLORKEY);
LPDIRECTDRAWSURFACE7 newPicture(LPCSTR);
int erase(LPDIRECTDRAWSURFACE7 surface, int red, int green, int blue);
void drawTitle(LPDIRECTDRAWSURFACE7 dest, LPCSTR filename);
int drawText(LPDIRECTDRAWSURFACE7 dest, LPCSTR text, int x, int y);