#include "globals.h"
#include "ddrawfunctions.h"
#include "ddutil.h"

class Powerup
{

private:
 int x; //stores x position of powerup on screen
 int y; //stores y position of powerup on screen
 float xvelocity; //stores velocity of powerup
 float yvelocity;
 int width;
 int height;
 LPDIRECTDRAWSURFACE7 powerupsurface;
 RECT poweruprect;
 DDCOLORKEY key;

public:
 Powerup();
 Powerup(int new_x, int new_y);
 Powerup(int new_x, int new_y, float new_xvelocity, float new_yvelocity);
 int getX();
 int getY();
 float getXVelocity();
 float getYVelocity();
 RECT getPowerupRect();
 DDCOLORKEY getColorKey();

 void setPos(int, int);
 void setVelocity(float tempx, float tempy);
 void drawPowerUp(int new_x, int new_y, LPDIRECTDRAWSURFACE7 dest, int scalefactor);
 int loadFrames(POWERUPTYPE type);

 ~Powerup();
 
};