#include <fmod.h>
#include "globals.h"

//I can barely remember fmod types...let's typedef the mofos!
typedef FMUSIC_MODULE* SONG;
typedef FSOUND_SAMPLE* SOUNDEFFECT;

extern SONG songs[MAX_SONGS];

int startupSoundSystem(void);
void shutdownSoundSystem(void);
SONG loadSong(LPCSTR filename);
void playSong(SONG temp, int volume); //volume from 0 (silence) to 256 (full blast)
void freeSong(SONG temp);
SOUNDEFFECT loadSoundEffect(LPCSTR filename, int channel, unsigned int flags);
void setSoundDefaults(SOUNDEFFECT sound, int frequency, int volume, int pan);
void playSoundEffect(int channel, SOUNDEFFECT temp);